precision lowp int; 
precision lowp float;

uniform sampler2D DiffuseMap;

uniform float iGlobalTime;
uniform float aspectRatio;

varying lowp vec4 uvs;
varying lowp vec3 worldnormal;
varying lowp vec4 vertexcolour;


void main()
{
    vec2 uv = uvs.xy;
    
    uv = uv - 0.5;

    float dist = 1. / length(uv);

    float t = abs(iGlobalTime*2.2);
          
    //t = sin(t*0.6);
    t = min(1.0,t);

    t = 1.0 - t;
    
    t = t*t*t*t*t;

    float it = 1.0-t;
    
    uv = uv*it - uv*dist*t*1.0;
    
    uv = uv + 0.5;
    vec4 tex = texture2D(DiffuseMap,uv);
    
    gl_FragColor = tex;
}
