precision lowp int; 
precision highp float;

uniform sampler2D DiffuseMap;

uniform float iGlobalTime;
uniform float aspectRatio;
uniform float screenResX;
uniform float screenResY;

varying lowp vec4 uvs;
varying lowp vec3 worldnormal;
varying lowp vec4 vertexcolour;

void main()
{
    vec4 tex = texture2D(DiffuseMap,uvs.xy);
	
	vec2 pos = uvs.xy*vec2(screenResX,screenResY);
	pos.x += pos.y * 3.0;
	vec3 mask = vec3(0.5, 0.5,0.5);
	pos.x = fract(pos.x / 6.0);
	if (pos.x < 0.333)
		mask.r = 1.5;
	else if (pos.x < 0.666)
		mask.g = 1.5;
	else
		mask.b = 1.5;
    tex.rgb *= mask;

    gl_FragColor = tex;
}
