precision lowp int; 
precision lowp float;

uniform sampler2D DiffuseMap;

uniform vec4 iColor;

varying lowp vec4 uvs;
varying lowp vec3 worldnormal;
varying lowp vec4 vertexcolour;

void main() 
{
	vec4 col = texture2D(DiffuseMap, uvs.xy);
	vec4 col2 = col;

	float l1 = sqrt(col.r+col.g+col.b);
	float l2 = sqrt(iColor.r+iColor.g+iColor.b);

	if ( l2 < l1 )
	{
		col2 = iColor;
	}

	vec4 col3 = col*(1.0-iColor.a) + col2*iColor.a;
	//vec4 col3 = col;

    gl_FragColor = vec4(col3.r,col3.g,col3.b,col.a);
}
