precision highp int; 
precision highp float;

uniform sampler2D DiffuseMap;

uniform float iGlobalTime;
uniform float aspectRatio;
uniform vec4 iColor;

varying highp vec4 uvs;

void main()
{
    vec2 uv = uvs.xy-vec2(0.5);
    uv.y *= aspectRatio;
    uv *= 2.0;
    
    float t = iGlobalTime*0.3;
    uv.x += 0.1*cos(3.14*sin(t*1.0));
    uv.y += 0.1*sin(3.14*cos(t*0.7));

    float angle = atan(uv.x, uv.y) / acos(0.0);

    float d = length(uv);

    float v = (1.0+0.25*sin(t)) / d;
    v *= 0.5;    
    v += angle;  
    v += iGlobalTime*0.55;
  
    v = floor(fract(v) * 2.0);
    
    v = max(0.0,v);
    v = min(1.0,v+0.6);

    v *= sin(d - (0.01 + 0.05*sin(t)));
    
    gl_FragColor = vec4(v, v, v, 1.0) * iColor;
}
