precision lowp int; 
precision highp float; 

attribute mediump vec4 IN_position;
attribute lowp vec2 IN_uv;
attribute lowp vec4 IN_vertexcolour;

uniform mat4 worldmatrix;
uniform mat4 viewmatrix;
uniform mat4 projectionmatrix;

uniform mediump vec4 displaycolour;
varying lowp vec4 uvs;
varying lowp vec4 vertexcolour;
varying lowp vec4 addcolour;


void main()
{
	uvs.xy=IN_uv;
	uvs.z = 0.0;
	uvs.w = 0.0;
	vertexcolour = min(displaycolour,vec4(0.5,0.5,0.5,1.0));
	addcolour = displaycolour-vertexcolour;
	addcolour = addcolour / vec4(0.5,0.5,0.5,1.0);
	vertexcolour = vertexcolour / vec4(0.5,0.5,0.5,1.0);
	gl_Position = (projectionmatrix * viewmatrix * worldmatrix  ) *  IN_position;
}

